
#include "rmessage.h"
#include "mocktcp.h"

main(int argc, char** argv)
{
	int	s, port, res, i=0, s2, total=0, last = -1;
	int	*ints;
	char	buf[256];
	struct sockaddr_in client;

	if (argc != 2) {
		fprintf(stderr, "usage: server {port}\n");
		exit(1);
	}

	port  = atoi(argv[1]);

	fprintf(stderr, "Server waiting on port %d.\n", port);

	mt_init();
	s = mt_socket();
	if (s < 0) {
		perror("mt_socket");
		exit(1);
	}

	res = mt_bind(s, port);
	if (res < 0) {
		perror("mt_bind");
		exit(1);
	}

	res = mt_listen(s);
	if (res < 0) {
		perror("mt_listen");
		exit(1);
	}

	s2 = mt_accept(s, &client);
	if (s2 < 0) {
		perror("mt_accept");
		exit(1);
	}

	fprintf(stderr, "connection accepted with mt_accept.\n");

	ints = (int*) buf;

loop:
	res = mt_recv(s2, buf, 256, 0);
	if (res < 0) {
		perror("rm_recv");
		exit(1);
	}
	fprintf(stderr, "got %d bytes\n", res);
	total += res;
	for (i=0; i <  res/sizeof(int); i++) {
		last++;
		if (ints[i] != last) {
			fprintf(stderr, "\nStrange things afoot...\n");
			fprintf(stderr, "Got %d, expct %d\n\n", ints[i], last);
		}
	}
	if (res != 0)
		goto loop;
	
	fprintf(stderr, "Got a total of %d bytes.\n", total);
	sleep(1);
}


