
#include "rmessage.h"
#include "mocktcp.h"

main(int argc, char** argv)
{
	int	s, port, res, i=0, j, *m, myid;
	char	*host, buf[256], line[32];
	struct sockaddr_in a;
	struct timeval t = {1, 0};

	if (argc != 4) {
		fprintf(stderr, "usage: client {host} {port} {id}\n");
		exit(1);
	}

	host = argv[1];
	port  = atoi(argv[2]);
	myid  = atoi(argv[3]);

	fprintf(stderr, "%d: to \"%s\" on port %d.\n", myid, host, port);

	rm_init();
	s = rm_socket();
	if (s < 0) {
		perror("rm_open");
		exit(1);
	}

	res = rm_fill_sockaddr(&a, host, port);
	if (res < 0) {
		perror("rm_fill_sockaddr");
		exit(1);
	}

	res = connect(s, (struct sockaddr*)&a, sizeof(a));
	if (res < 0) {
		perror("connect");
		exit(1);
	}

	res = send(s, "A", 1, 0);
	if (res < 0) {
		perror("send");
		exit(1);
	}
}


