
#include "mocktcp.h"

#define SIZE 20000
#define MSG "GET /yo_mamma.html"

main(int argc, char** argv)
{
	int	s, port, res, len, i, bufsize, sofar;
	char	*host, data[SIZE];

	if (argc != 3) {
		fprintf(stderr, "usage: client {host} {port}\n");
		exit(1);
	}

	host = argv[1];
	port  = atoi(argv[2]);

	fprintf(stderr, "sending to \"%s\" on port %d.\n", host, port);

loop:

	fprintf(stderr, "Opening new socket and connecting...\n");
	s = mt_socket();
	if (s < 0) {
		perror("mt_socket");
		exit(1);
	}

	res = mt_connect(s, host, port);
	if (res < 0) {
		perror("mt_connect");
		exit(1);
	}

	res = mt_write(s, MSG, strlen(MSG));
	if (res < 0) {
		perror("mt_write");
		exit(1);
	}

	sofar = 0;
	while (1) {
		res = mt_read(s, data+sofar, SIZE-sofar);
		if (res < 0) {
			perror("mt_read");
			exit(1);
		}
		sofar += res;
		if (res == 0) break;
	}

	mt_close(s);

	fprintf(stderr, "done.\n");
}


