
#include "mocktcp.h"

#define SIZE 20000
#define INTERVAL 3

int	flag = FALSE;

void handler(int s)
{
	flag = TRUE;
}

main(int argc, char** argv)
{
	int	s, port, s2, res, count, bufsize;
	char	buf[SIZE], buf2[SIZE];
	struct sockaddr_in client;
	struct itimerval t;
	struct timeval	val = {INTERVAL, 0};
	fd_set	fds;

	if (argc != 2) {
		fprintf(stderr, "usage: server {port}\n");
		exit(1);
	}
	port  = atoi(argv[1]);

	fprintf(stderr, "Server waiting on port %d.\n", port);

	signal(SIGALRM, handler);

	s = mt_socket();
	if (s < 0) {
		perror("mt_socket");
		exit(1);
	}

	res = mt_bind(s, port);
	if (res < 0) {
		perror("mt_bind");
		exit(1);
	}

loop:

	fprintf(stderr, "Accepting...\n");
	s2 = mt_accept(s, &client);
	if (s2 < 0) {
		perror("mt_accept");
		exit(1);
	}

	fprintf(stderr, "New connection established.\n");

	t.it_interval = val;
	t.it_value = val;
	/*
	if (setitimer(ITIMER_REAL, &t, NULL) < 0) {
		perror("setitimer");
		exit(1);
	}
	*/

	res = mt_read(s2, buf2, SIZE);
	if (res < 0) {
		perror("mt_read");
		exit(1);
	}
	buf2[res] = '\0';
	fprintf(stderr, "\nread string: \"%s\"\n", buf2);

	res = mt_write(s2, buf, SIZE);
	if (res < 0) {
		perror("mt_write");
		exit(1);
	}

	mt_close(s2);
}


